'use strict';

var chainAsync = fns => {
  var curr = 0;
  var last = fns[fns.length - 1];

  var next = () => {
    var fn = fns[curr++];
    fn === last ? fn() : fn(next);
  };

  next();
};

module.exports = chainAsync;
