'use strict';

var _rollupPluginBabelHelpers = require('./internal/_rollupPluginBabelHelpers.js');
var is_object = require('./is_object.js');
require('./get_tag.js');
var is_array = require('./is_array.js');

function column(input, ColumnKey) {
  var IndexKey = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

  if (input !== null && (is_object(input) || is_array(input))) {
    var newarray = [];

    if (is_object(input)) {
      var temparray = [];

      for (var key of Object.keys(input)) {
        temparray.push(input[key]);
      } // eslint-disable-next-line no-param-reassign


      input = temparray;
    }

    if (is_array(input)) {
      for (var _key of input.keys()) {
        if (IndexKey && input[_key][IndexKey]) {
          if (ColumnKey) {
            newarray[input[_key][IndexKey]] = input[_key][ColumnKey];
          } else {
            newarray[input[_key][IndexKey]] = input[_key];
          }
        } else {
          if (ColumnKey) {
            newarray.push(input[_key][ColumnKey]);
          } else {
            newarray.push(input[_key]);
          }
        }
      }
    } // eslint-disable-next-line prefer-object-spread


    return _rollupPluginBabelHelpers._extends({}, newarray);
  } else {
    throw new Error('throw an error');
  }
}

module.exports = column;
