'use strict';

require('./get_tag.js');
var is_array = require('./is_array.js');

/**
 * returns a copy of an array with falsey values removed
 */
function compact(arr) {
  if (!is_array(arr)) {
    throw new Error('expected an array');
  }

  var result = [];
  var len = arr.length;

  for (var i = 0; i < len; i++) {
    var elem = arr[i];

    if (elem) {
      result.push(elem);
    }
  }

  return result;
}

module.exports = compact;
