'use strict';

var is_object = require('./is_object.js');
require('./get_tag.js');
var is_function = require('./is_function.js');

function entries(obj) {
  if (!is_object(obj) && !is_function(obj) || obj === null) {
    throw new Error('argument to `entries` must be an object');
  }

  var result = [];

  for (var key in obj) {
    if (obj.hasOwnProperty(key)) {
      result.push([key, obj[key]]);
    }
  }

  return result;
}

module.exports = entries;
