import './is_object.js';
import './get_tag.js';
import './is_array.js';
import './is_string.js';
import './is_map.js';
import './is_set.js';
import './is_date.js';
import './is_empty.js';
import './proper_object.js';
import addedDiff from './added_diff.js';
import deletedDiff from './deleted_diff.js';
import updatedDiff from './updated_diff.js';

var detailedDiff = (lhs, rhs) => ({
  added: addedDiff(lhs, rhs),
  deleted: deletedDiff(lhs, rhs),
  updated: updatedDiff(lhs, rhs)
});

export default detailedDiff;
