/**
 * @desc   format the remaining time from ${endTime}
 * @param  {Date} endTime
 * @return {String}
 */
var formatRemainTime = endTime => {
  var startDate = new Date(); // startDate

  var endDate = new Date(endTime); // endDate

  var t = endDate.getTime() - startDate.getTime();
  var d = 0;
  var h = 0;
  var m = 0;
  var s = 0;

  if (t >= 0) {
    d = Math.floor(t / 1000 / 3600 / 24);
    h = Math.floor(t / 1000 / 60 / 60 % 24);
    m = Math.floor(t / 1000 / 60 % 60);
    s = Math.floor(t / 1000 % 60);
  }

  return d + 'day ' + h + 'hour ' + m + 'minute ' + s + 'second';
};

export default formatRemainTime;
