// eslint-disable-next-line max-params
var httpPost = function (url, data, callback) {
  var err = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : console.error;
  var request = new XMLHttpRequest();
  request.open('POST', url, true);
  request.setRequestHeader('Content-type', 'application/json; charset=utf-8');

  request.onload = () => callback(request.responseText);

  request.onerror = () => err(request);

  request.send(data);
};

export default httpPost;
