import './get_tag.js';
import isString from './is_string.js';

/* eslint-disable no-param-reassign */
function omit(obj, remove) {
  var result = {};

  if (isString(remove)) {
    remove = [].slice.call(arguments, 1);
  }

  for (var prop in obj) {
    if (!obj.hasOwnProperty || obj.hasOwnProperty(prop)) {
      if (remove.indexOf(prop) === -1) {
        result[prop] = obj[prop];
      }
    }
  }

  return result;
}

export default omit;
