'use strict';

require('./get_tag.js');
var is_string = require('./is_string.js');

/* eslint-disable no-param-reassign */
function omit(obj, remove) {
  var result = {};

  if (is_string(remove)) {
    remove = [].slice.call(arguments, 1);
  }

  for (var prop in obj) {
    if (!obj.hasOwnProperty || obj.hasOwnProperty(prop)) {
      if (remove.indexOf(prop) === -1) {
        result[prop] = obj[prop];
      }
    }
  }

  return result;
}

module.exports = omit;
