'use strict';

var _rollupPluginBabelHelpers = require('./internal/_rollupPluginBabelHelpers.js');

/**
 * Gets n random elements at unique keys from array up to the size of array.
 */
function randomSize(_ref) {
  var _ref2 = _rollupPluginBabelHelpers._toArray(_ref),
      arr = _ref2.slice(0);

  var n = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
  var m = arr.length;

  while (m) {
    var i = Math.floor(Math.random() * m--);
    var _ref3 = [arr[i], arr[m]];
    arr[m] = _ref3[0];
    arr[i] = _ref3[1];
  }

  return arr.slice(0, n);
}

module.exports = randomSize;
