'use strict';

var _rollupPluginBabelHelpers = require('./internal/_rollupPluginBabelHelpers.js');

/**
 * Randomizes the order of the values of an array, returning a new array.
 */
function shuffle(_ref) {
  var _ref2 = _rollupPluginBabelHelpers._toArray(_ref),
      arr = _ref2.slice(0);

  var m = arr.length;

  while (m) {
    var i = Math.floor(Math.random() * m--);
    var _ref3 = [arr[i], arr[m]];
    arr[m] = _ref3[0];
    arr[i] = _ref3[1];
  }

  return arr;
}

module.exports = shuffle;
