'use strict';

require('./is_object.js');
require('./get_tag.js');
require('./is_array.js');
require('./is_string.js');
require('./is_map.js');
require('./is_set.js');
var is_empty = require('./is_empty.js');

/**
 * Remove spaces after removing previous string
 */
function trim(str) {
  if (is_empty(str)) {
    return str;
  }

  return str.replace(/(^\s*)|(\s*$)/g, '');
}

module.exports = trim;
