'use strict';

var _rollupPluginBabelHelpers = require('./internal/_rollupPluginBabelHelpers.js');

/**
 * Remove duplicates from an array of objects
 * https://stackoverflow.com/questions/2218999/remove-duplicates-from-an-array-of-objects-in-javascript
 */
function uniqueFrom(arr, target) {
  return Object.values(arr.reduce((acc, cur) => _rollupPluginBabelHelpers._extends(acc, {
    [cur[target]]: cur
  }), {}));
}

module.exports = uniqueFrom;
