'use strict';

/**
 * Returns true if the provided predicate function returns true for all elements in a collection, false otherwise.
 */
var all = function (arr) {
  var fn = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : Boolean;
  return arr.every(fn);
};

module.exports = all;
