'use strict';

require('./is_object.js');
require('./get_tag.js');
require('./is_array.js');
require('./is_string.js');
require('./is_map.js');
require('./is_set.js');
require('./is_date.js');
require('./is_empty.js');
require('./proper_object.js');
var added_diff = require('./added_diff.js');
var deleted_diff = require('./deleted_diff.js');
var updated_diff = require('./updated_diff.js');

var detailedDiff = (lhs, rhs) => ({
  added: added_diff(lhs, rhs),
  deleted: deleted_diff(lhs, rhs),
  updated: updated_diff(lhs, rhs)
});

module.exports = detailedDiff;
