'use strict';

require('./get_tag.js');
require('./is_array.js');
require('./is_string.js');
require('./is_map.js');
require('./is_set.js');
var size = require('./size.js');

/**
 * Check two arrays are equal
 */
function equal(arr1, arr2) {
  var length = size(arr1);
  if (length !== size(arr2)) return false;

  for (var i = 0; i < length; i++) {
    if (arr1[i] !== arr2[i]) return false;
  }

  return true;
}

module.exports = equal;
