import './get_tag.js';
import './is_array.js';
import './is_string.js';
import './is_map.js';
import './is_set.js';
import size from './size.js';

/**
 * Check two arrays are equal
 */
function equal(arr1, arr2) {
  var length = size(arr1);
  if (length !== size(arr2)) return false;

  for (var i = 0; i < length; i++) {
    if (arr1[i] !== arr2[i]) return false;
  }

  return true;
}

export default equal;
