import attr from './attr.js';
import setStyle from './set_style.js';
import trigger from './trigger.js';
import c from './c.js';
import g from './g.js';

/**
 * open new url dont not blocked by browser
 */

var open = href => {
  var id = '_bbo_open_proxy';
  var a = g(id) || c('a', id, '', id);
  setStyle(a, 'display', 'none');
  attr(a, 'href', href);
  attr(a, 'target', '_blank');
  if (!a.parentNode) document.body.appendChild(a);
  trigger(a, 'click', 'MouseEvents');
};

export default open;
