import './get_tag.js';
import isString from './is_string.js';

/* eslint-disable no-param-reassign */
function pick(obj, select) {
  var result = {};

  if (isString(select)) {
    select = [].slice.call(arguments, 1);
  }

  var len = select.length;

  for (var i = 0; i < len; i++) {
    var key = select[i];

    if (key in obj) {
      result[key] = obj[key];
    }
  }

  return result;
}

export default pick;
