'use strict';

var is_typeof = require('./is_typeof.js');

/**
 * map condition judge
 *  bbo.judge = bbo.judgment
 */

function judge(v, vals, strict) {
  if (!is_typeof(vals, 'array')) return false;

  for (var key in vals) {
    if (strict) {
      if (v === vals[key]) return true;
    } else {
      // eslint-disable-next-line eqeqeq
      if (v == vals[key]) return true;
    }
  }

  return false;
}

module.exports = judge;
