'use strict';

var attr = require('./attr.js');
var c = require('./c.js');
var g = require('./g.js');

/************************************************************************
 * LOGS
 *************************************************************************/
function log(msg, styles) {
  var ele = g('_bbo_log');

  if (ele === null) {
    ele = c('div');
    attr(ele, 'id', '_bbo_log');
    attr(ele, 'style', 'position:fixed;left:0;top:0;z-index:9999;padding:4px;');
    document.body.appendChild(ele);
  }

  if (styles) {
    for (var style in styles) {
      if (Object.prototype.hasOwnProperty.call(styles, style)) {
        ele.style[style] = styles[style];
      }
    }
  }

  ele.innerHTML = msg;
}

module.exports = log;
