'use strict';

var attr = require('./attr.js');
var set_style = require('./set_style.js');
var trigger = require('./trigger.js');
var c = require('./c.js');
var g = require('./g.js');

/**
 * open new url dont not blocked by browser
 */

var open = href => {
  var id = '_bbo_open_proxy';
  var a = g(id) || c('a', id, '', id);
  set_style(a, 'display', 'none');
  attr(a, 'href', href);
  attr(a, 'target', '_blank');
  if (!a.parentNode) document.body.appendChild(a);
  trigger(a, 'click', 'MouseEvents');
};

module.exports = open;
