'use strict';

require('./get_tag.js');
var is_string = require('./is_string.js');

/* eslint-disable no-param-reassign */
function pick(obj, select) {
  var result = {};

  if (is_string(select)) {
    select = [].slice.call(arguments, 1);
  }

  var len = select.length;

  for (var i = 0; i < len; i++) {
    var key = select[i];

    if (key in obj) {
      result[key] = obj[key];
    }
  }

  return result;
}

module.exports = pick;
