'use strict';

require('./get_tag.js');
var is_array = require('./is_array.js');

function remove(arr1, arr2) {
  if (!is_array(arr1) || !is_array(arr2)) {
    throw new Error('expected both arguments to be arrays');
  }

  var result = [];
  var len = arr1.length;

  for (var i = 0; i < len; i++) {
    var elem = arr1[i];

    if (arr2.indexOf(elem) === -1) {
      result.push(elem);
    }
  }

  return result;
}

module.exports = remove;
