'use strict';

var _rollupPluginBabelHelpers = require('./internal/_rollupPluginBabelHelpers.js');

/**
 * Returns every element that exists in any of the two arrays once
 * Create a Set with all values of a and b and convert to an array.
 */
var union = (a, b) => Array.from(new Set([].concat(_rollupPluginBabelHelpers._toConsumableArray(a), _rollupPluginBabelHelpers._toConsumableArray(b))));

module.exports = union;
